#!/bin/bash
if ! command -v espeak &>/dev/null ; then
	echo " espeak command was not found."
	exit 1
elif ! command -v oggenc &>/dev/null ; then
	echo " oggenc command was not found."
	exit 2
elif ! command -v ogg123 &>/dev/null ; then
	echo " ogg123 command was not found."
	exit 3
fi

# KDE System Notifications
espeak -v english -s 260 -p 40 -w tempToOggenc.wav "log in complete"
oggenc -q 3 -o loginComplete.ogg tempToOggenc.wav
ogg123 loginComplete.ogg

espeak -v english -s 260 -p 40 -w tempToOggenc.wav "log in off"
oggenc -q 3 -o loggingOut.ogg tempToOggenc.wav
ogg123 loggingOut.ogg

espeak -v english -s 260 -p 40 -w tempToOggenc.wav "attention"
oggenc -q 3 -o attention.ogg tempToOggenc.wav
ogg123 attention.ogg

espeak -v english -s 260 -p 40 -w tempToOggenc.wav "question"
oggenc -q 3 -o question.ogg tempToOggenc.wav
ogg123 question.ogg

espeak -v english -s 260 -p 40 -w tempToOggenc.wav "waste bin emptied"
oggenc -q 3 -o wastebinEmptied.ogg tempToOggenc.wav
ogg123 wastebinEmptied.ogg

#KNetworkManager
espeak -v english -s 260 -p 40 -w tempToOggenc.wav "no wire less network reception"
oggenc -q 3 -o noWirelessSignal.ogg tempToOggenc.wav
ogg123 noWirelessSignal.ogg

espeak -v english -s 260 -p 40 -w tempToOggenc.wav "network link activated"
oggenc -q 3 -o linkUp.ogg tempToOggenc.wav
ogg123 linkUp.ogg

espeak -v english -s 260 -p 40 -w tempToOggenc.wav "network link dee activated"
oggenc -q 3 -o linkDown.ogg tempToOggenc.wav
ogg123 linkDown.ogg

#KDE System Guard
espeak -v english -s 260 -p 40 -w tempToOggenc.wav "Ree sources critical"
oggenc -q 3 -o resourcesCritical.ogg tempToOggenc.wav
ogg123 resourcesCritical.ogg

#KBluetoothD
espeak -v english -s 260 -p 40 -w tempToOggenc.wav "blue tooth device activated"
oggenc -q 3 -o bluetoothActivated.ogg tempToOggenc.wav
ogg123 bluetoothActivated.ogg

espeak -v english -s 260 -p 40 -w tempToOggenc.wav "blue tooth device Dee activated"
oggenc -q 3 -o bluetoothDeactivated.ogg tempToOggenc.wav
ogg123 bluetoothDeactivated.ogg

#Kopete
espeak -v english -s 260 -p 40 -w tempToOggenc.wav "contact on lyne"
oggenc -q 3 -o contactOnline.ogg tempToOggenc.wav
ogg123 contactOnline.ogg

espeak -v english -s 260 -p 40 -w tempToOggenc.wav "instant message"
oggenc -q 3 -o instantMessage.ogg tempToOggenc.wav
ogg123 instantMessage.ogg

espeak -v english -s 260 -p 40 -w tempToOggenc.wav "contact off lyne"
oggenc -q 3 -o contactOffline.ogg tempToOggenc.wav
ogg123 contactOffline.ogg

#Kmail
espeak -v english -s 260 -p 40 -w tempToOggenc.wav "you have a new message"
oggenc -q 3 -o newMessage.ogg tempToOggenc.wav
ogg123 newMessage.ogg

#K3b
espeak -v english -s 260 -p 40 -w tempToOggenc.wav "disk writing complete"
oggenc -q 3 -o writeComplete.ogg tempToOggenc.wav
ogg123 writeComplete.ogg

espeak -v english -s 260 -p 40 -w tempToOggenc.wav "in sert a disk"
oggenc -q 3 -o insertDisk.ogg tempToOggenc.wav
ogg123 insertDisk.ogg

rm tempToOggenc.wav